#-----------------------------------------------------------------------------
#
# IGSTKConfig.cmake - IGSTK CMake configuration file for external projects.
#
# This file is configured by IGSTK and used by the UseIGSTK.cmake module
# to load IGSTK's settings for an external project.

# The IGSTK source tree.
SET(IGSTK_SOURCE_DIR "/build/buildd-igstk_4.4.0-2+b1-ia64-CEFgXs/igstk-4.4.0")

# The IGSTK include file directories.
SET(IGSTK_INCLUDE_DIRS "/usr/include/IGSTK")

# The IGSTK library directories.
SET(IGSTK_LIBRARY_DIRS "/usr/lib/IGSTK;/usr/lib/InsightToolkit;/usr/lib/")

# The C and C++ flags added by IGSTK to the cmake-configured flags.
SET(IGSTK_REQUIRED_C_FLAGS "")
SET(IGSTK_REQUIRED_CXX_FLAGS "")

# The IGSTK version number
SET(IGSTK_VERSION_MAJOR "4")
SET(IGSTK_VERSION_MINOR "4")
SET(IGSTK_VERSION_PATCH "0")

# The location of the UseIGSTK.cmake file.
SET(IGSTK_USE_FILE "/usr/lib/IGSTK/UseIGSTK.cmake")

# The build settings file.
SET(IGSTK_BUILD_SETTINGS_FILE "/usr/lib/IGSTK/IGSTKBuildSettings.cmake")

# Whether IGSTK was built with shared libraries.
SET(IGSTK_BUILD_SHARED "ON")

# A list of all libraries for IGSTK.  Those listed here should
# automatically pull in their dependencies.
SET(IGSTK_LIBRARIES IGSTK)

# The IGSTK library dependencies.
IF(NOT IGSTK_NO_LIBRARY_DEPENDS)
  INCLUDE("/usr/lib/IGSTK/IGSTKLibraryDepends.cmake")
ENDIF(NOT IGSTK_NO_LIBRARY_DEPENDS)

# The Binary Directory of ITK
SET(ITK_DIR "/usr/lib/InsightToolkit")
SET(IGSTK_USE_ITK_FILE "/usr/lib/InsightToolkit/UseITK.cmake")

# The Binary Directory of VTK
SET(VTK_DIR "/usr/lib/vtk-5.8")
SET(IGSTK_USE_VTK_FILE "/usr/lib/vtk-5.8/UseVTK.cmake")

# Qt option
SET(IGSTK_USE_Qt "ON")

# FLTK option
SET(IGSTK_USE_FLTK "ON")
# The Binary Directory of FLTK
SET(IGSTK_FLTK_DIR "/usr/lib/fltk")
SET(FLTK_FLUID_EXECUTABLE "/usr/bin/fluid")

# MicronTracker option
SET(IGSTK_USE_MicronTracker "OFF")

# InfinitTrack option
SET(IGSTK_USE_InfiniTrack "OFF")


